shipink-logo-vector-svgDocumentation

Token

Authentication token management. All other endpoints require an `Authorization` header with `Bearer {access_token}`.

Create or refresh a token

To create a token send username and password.

To refresh a token send refresh_token.

Use the returned access_token in all subsequent requests as Authorization: Bearer {access_token}.

POST
/token
usernamestring
passwordstring

Response Body

application/json

curl -X POST "https://api.shipink.io/token" \  -H "Content-Type: application/json" \  -d '{    "username": "user@example.com",    "password": "your_password"  }'

{
  "access_token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...",
  "refresh_token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...",
  "expires_in": 3600,
  "token_type": "Bearer"
}

How is this guide?